## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autochangelog
## END: Set by rpmautospec

Name:           python-pytest-testinfra
Version:        10.1.1
Release:        3%{?dist}
Summary:        Unit testing for config-managed server state

License:        Apache-2.0
URL:            https://github.com/pytest-dev/pytest-testinfra
Source:         %{pypi_source pytest-testinfra}

BuildArch:      noarch
BuildRequires:  python3-devel

# TODO 'crypt' test requirement for Python 3.13 - remove in next release
BuildRequires:  python3-crypt-r

%global _description %{expand:
With Testinfra you can write unit tests in Python to test actual state of your
servers configured by management tools like Salt, Ansible, Puppet, Chef and so
on.
Testinfra aims to be a Serverspec equivalent in python and is written as a
plugin to the powerful Pytest test engine.}

%description %_description

%package -n     python3-pytest-testinfra
Summary:        %{summary}

# Using suggests to avoid unnecessary dependencies being installed
Suggests:       python3-pytest-testinfra+ansible
Suggests:       python3-pytest-testinfra+paramiko
Suggests:       python3-pytest-testinfra+salt
Suggests:       python3-pytest-testinfra+winrm

# python-testinfra is a duplicate with wrong name
Provides: 	python3-testinfra = %{version}-%{release}
Obsoletes: 	python3-testinfra < 5.3.1-14

%description -n python3-pytest-testinfra %_description

%pyproject_extras_subpkg -n python3-pytest-testinfra ansible,paramiko,salt,winrm

%prep
%autosetup -p1 -n pytest-testinfra-%{version}

# types-paramiko package is not available and is not needed for build tests
sed -i '/types-paramiko/d' test-requirements.txt

%generate_buildrequires
%pyproject_buildrequires -t 

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files testinfra 

%check
%pyproject_check_import
%tox

%files -n python3-pytest-testinfra -f %{pyproject_files}
%doc README.rst

%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 10.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jun 20 2024 Martin Hoyer <mhoyer@redhat.com> - 10.1.1-5
- Update packit config with fedora-all and bodhi

* Thu Jun 20 2024 Miroslav Suchý <msuchy@redhat.com> - 10.1.1-4
- add Packit automation

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 10.1.1-2
- Rebuilt for Python 3.13

* Tue Mar 05 2024 Martin Hoyer <mhoyer@redhat.om> - 10.1.0-4
- Bumping release tag

* Tue Mar 05 2024 Martin Hoyer <mhoyer@redhat.om> - 10.1.0-3
- Add python-testinfra provides, obsoletes

* Tue Mar 05 2024 Martin Hoyer <mhoyer@redhat.om> - 10.1.0-2
- Add missing release disttag

* Mon Mar 04 2024 Martin Hoyer <mhoyer@redhat.om> - 10.1.0-1
- Refactor .spec file and update to latest upstream

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jul 24 2023 Salman Butt <cn137@protonmail.com> - 7.0.0-5
- Updated license to SPDX name

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 13 2023 Maxwell G <maxwell@gtmx.me> - 7.0.0-3
- Skip broken salt tests with Python 3.12

* Wed Jun 28 2023 Python Maint <python-maint@redhat.com> - 7.0.0-2
- Rebuilt for Python 3.12

* Thu Feb 09 2023 chedi toueiti <chedi.toueiti@gmail.com> - 7.0.0-1
- Update to version 7.0.0 (#2150474)

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 6.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 6.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Chedi Toueiti <chedi.toueiti@gmail.com> - 6.8.0-1
- Update to version 6.8.0 (#2099410)

* Thu Jun 16 2022 Python Maint <python-maint@redhat.com> - 6.7.0-2
- Rebuilt for Python 3.11

* Mon May 16 2022 Chedi Toueiti <chedi.toueiti@gmail.com> - 6.7.0-1
- Update to version 6.7.0 (#2074697)

* Mon Apr 04 2022 Chedi Toueiti <chedi.toueiti@gmail.com> - 6.6.0-1
- Update to version 6.6.0 (#2053398)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 6.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Dec 18 2021 Chedi Toueiti <chedi.toueiti@gmail.com> - 6.4.0-1
- Update to version 6.5.0 (#2029992)

* Thu Nov 25 2021 Maxwell G <gotmax@e.email> - 6.4.0-2
- Support both ansible and ansible-core.

* Wed Sep 01 2021 Chedi Toueiti <chedi.toueiti@gmail.com> - 6.4.0-1
- Update to version 6.4.0 (#1950749)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 6.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 6.2.0-2
- Rebuilt for Python 3.10

* Sun Mar 21 2021 Chedi Toueiti <chedi.toueiti@gmail.com> - 6.2.0-1
- Update to version 6.2.0

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 6.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

## END: Generated by rpmautospec
